/*
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://eu-egee.org/partners/ for details on the copyright holders.
 * For license conditions see the license file or
 * http://eu-egee.org/license.html
 *
 * Copyright (c) 2004 by 
 *     David Groep <davidg@nikhef.nl>,
 *     Oscar Koeroo <okoeroo@nikhef.nl>,
 *     Martijn Steenbakkers <martijn@nikhef.nl>,
 *     Gerben Venekamp <venekamp@nikhef.nl>,
 *     NIKHEF Amsterdam, the Netherlands
 *     Universiteit van Amsterdam, the Netherlands
 */

/*!
    \file   lcas_pem.h
    \brief  PEM interface to lcas

    \author Martijn Steenbakkers for the EU DataGrid.

*/

#ifndef LCAS_PEM_H
#define LCAS_PEM_H

#ifndef LCAS_PEM_C
#   define LCAS_PEM_C_STORAGE_CLASS extern
#else
#   define LCAS_PEM_C_STORAGE_CLASS
#endif

/******************************************************************************
                             Include header files
******************************************************************************/
#include "lcas_types.h"

/******************************************************************************
 *                 Module definition
 *****************************************************************************/
LCAS_PEM_C_STORAGE_CLASS int
lcas_pem(
    char * pem_string,
    lcas_request_t request
);
#endif /* LCAS_PEM_H */

/******************************************************************************
CVS Information:
    $Source: /cvs/glite/org.glite.security.lcas-interface/interface/lcas_pem.h,v $
    $Date: 2005/11/10 11:48:42 $
    $Revision: 1.1 $
    $Author: msteenba $
******************************************************************************/
